

<template>
  <div class="jumbotron" :disabled="disabled" :style="style" :class="myclasses">
    <h1>{{ title }}</h1>
    <p>{{ subtitle }}</p>
  </div>
</template>

<script lang="ts">
export default {
  name: 'jumbotron',
  props: {
    title: {
      type: String,
      default: 'Title',
      required: true,
    },
    subtitle: {
      type: String,
      default: 'Subtitle',
      required: true,
    },
    horizontal: {
      type: Boolean,
      default: false,
    },
    fullLength: {
      type: Boolean,
      default: false,
    },
  },
  computed: {
    myclasses() {
        return [
            [this.horizontal ? 'jumbotron__isHorizontal' : 'jumbotron__default'],
            [this.fullLength ? 'jumbotron__isFullLength' : 'jumbotron__default'],
            'default'
        ]
    }
  },
};
</script>
<style scoped lang="scss">
@import url('https://fonts.googleapis.com/css2?family=Lexend:wght@700&family=Roboto&display=swap');

.jumbotron {
  font-family: "Lexend";
  border-radius: 16px;
  color: #FF1546;
  text-align: left;
  padding: 15px;
  padding:40px;
  font-size: 40px;
  overflow:  hidden;
}

.jumbotron__default {
    width: 524px;
    border: 3px solid #FF1546;
}

.jumbotron__isHorizontal {
    width: 100%;

    h1 {
        font-size: 64px;
        width:100%;
    }
    
    p {
        margin-top: 8px;
    }
}

.jumbotron__isFullLength {
    width: 330px;
    height: 96vh;
    border: 4px solid #FF1546;

    h1 {
        font-size: 64px;
        line-height: 72px;
    }

}
h1 {
    margin: auto;
    width: 98%;
    line-height: 96px;
}

p {
    margin-top: 62.43px;
    font-family: 'Roboto';
    font-size: 20px;
    color: #FF1546;
    line-height: 24px;
    text-align: left;
}
</style>